using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训记录
    /// </summary>
    [Description("培训记录")]
    public class T_SE_TRAIN_RECORD : MesEntityBase
    {
        /// <summary>
        /// 通知ID
        /// </summary>
        [Description("通知")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Notify")]
        public Guid NOTIFY_ID { get; set; }
        /// <summary>
        /// 通知
        /// </summary>
        [Description("通知")]
        public T_SE_TRAIN_NOTIFY Nav_Notify { get; set; }
        /// <summary>
        /// 导航属性：参与人员
        /// </summary>
        [Description("培训人员")]
        [FormFieldEdit]
        public ICollection<T_SE_TRAIN_RECORD_USER> Nav_Users { get; set; }
        


        /// <summary>
        /// 导航属性：人员试题
        /// </summary>
        [Description("导航属性：人员试题")]
        [FormFieldEdit]
        public ICollection<T_SE_TRAIN_RECORD_PAPER> Nav_Papers { get; set; }
        /// <summary>
        /// 导航属性：附件
        /// </summary>
        [Description("导航属性：附件")]
        public ICollection<T_SE_TRAIN_RECORD_FILE> Nav_Files { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        [EnumName("SETrainRecordStatus")]
        public SETrainRecordStatus STATUS { get; set; }
        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }
        [DataFieldIngore]
        public int IS_OVERTIME { get; set; }
    }
}
